<template>
  <header>
    <h1>{{title}}</h1>
    <Button @btn-click="onClick" text="Add Task" bg-color="green"/>
  </header>
</template>

<script>
// you can parse whatever you like
import Button from "./Button";
export default {
  name: "Header",
  components: {Button},
  props: {
    'title' : String,
  },
  methods: {
    onClick() {
      this.$emit('toggle-add-task')
    }
  }
}
</script>

<style scoped>
  header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 20px;
  }
</style>
